//---------------------------------------------------------------------------

#ifndef uEditCheckboxH
#define uEditCheckboxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "uEditBase.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TEditCheckbox : public TEditBase
{
__published:	// IDE-managed Components
        TCheckBox *cbValue;
        void __fastcall cbValueClick(TObject *Sender);
private:	// User declarations
        Variant FCheckedValue;
        //int FChangeLength;
public:		// User declarations
        __fastcall TEditCheckbox(TComponent* Owner);
        void virtual LoadValue();
        void virtual SaveValue();
        Variant virtual GetValue();
        void virtual SetValue(Variant NewValue);
        __property Variant CheckedValue = {read=FCheckedValue, write=FCheckedValue};
        //__property int ChangeLength = {read=FChangeLength, write=FChangeLength};
};
//---------------------------------------------------------------------------
extern PACKAGE TEditCheckbox *EditCheckbox;
//---------------------------------------------------------------------------
#endif
